### Class

# EDataCal DataCalView

#### Description

    class EDataCal.DataCalView : GObject.Object
      implements Gio.Initable {
      EDataCalViewPrivate* priv
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GInitable

#### Constructors

###### e_data_cal_view_new

Creates a new `EDataCalView` and exports its D-Bus interface on `connection` at `object_path`. If an error occurs while exporting, the function sets `error` and returns `NULL`.

#### Instance methods

###### e_data_cal_view_component_matches

Compares the given `component` to the regular expression used for the given view.

since: 3.4

###### e_data_cal_view_get_component_string

This function is similar to `e_cal_component_get_as_string()` except that it takes into account the fields-of-interest that `view` is configured with and filters out any unneeded fields.

since: 3.4

###### e_data_cal_view_get_connection

Returns the `GDBusConnection` on which the CalendarView D-Bus interface is exported.

since: 3.8

###### e_data_cal_view_get_fields_of_interest

No description available.

since: 3.2

###### e_data_cal_view_get_flags

Gets the `ECalClientViewFlags` that control the behaviour of `view`.

since: 3.6

###### e_data_cal_view_get_object_path

Return the object path at which the CalendarView D-Bus inteface is exported.

since: 3.8

###### e_data_cal_view_get_sexp

Get the `ECalBackendSExp` object used for the given view.

since: 3.8

###### e_data_cal_view_is_completed

Checks whether the given view is already completed. Being completed means the initial matching of objects have been finished, not that no more notifications about changes will be sent. In fact, even after completed, notifications will still be sent if there are changes in the objects matching the view search expression.

since: 3.2

###### e_data_cal_view_is_started

Checks whether the given view has already been started.

###### e_data_cal_view_is_stopped

Checks whether the given view has been stopped.

since: 2.32

###### e_data_cal_view_notify_complete

Notifies all view listeners of the completion of the view, including a status code.

since: 3.2

###### e_data_cal_view_notify_components_added

Notifies all view listeners of the addition of a list of components.

since: 3.4

###### e_data_cal_view_notify_components_added_1

Notifies all the view listeners of the addition of a single object.

since: 3.4

###### e_data_cal_view_notify_components_modified

Notifies all view listeners of the modification of a list of components.

since: 3.4

###### e_data_cal_view_notify_components_modified_1

Notifies all view listeners of the modification of `component`.

since: 3.4

###### e_data_cal_view_notify_objects_removed

Notifies all view listener of the removal of a list of objects.

###### e_data_cal_view_notify_objects_removed_1

Notifies all view listener of the removal of a single object.

###### e_data_cal_view_notify_progress

Notifies all view listeners of progress messages.

###### e_data_cal_view_object_matches

Compares the given `object` to the regular expression used for the given view.

###### e_data_cal_view_ref_backend

Refs the backend that `view` is querying. Unref the returned backend, if not `NULL`, with g_object_unref(), when no longer needed.

since: 3.34

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GInitable (1)

###### g_initable_init

Initializes the object implementing the interface.

#### Properties

###### EDataCal.DataCalView:backend

The backend being monitored.

###### EDataCal.DataCalView:connection

The `GDBusConnection` on which to export the view interface.

###### EDataCal.DataCalView:object-path

The object path at which to export the view interface.

###### EDataCal.DataCalView:sexp

The query expression for this view.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EDataCalDataCalViewClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.